#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === RBT::Actions::MetaActions
# =========================================================================== #
# See also:
#
#   https://www.linuxfromscratch.org/blfs/view/svn/
#
# =========================================================================== #
module RBT

module Actions

module MetaActions # === RBT::Actions::MetaActions

  require 'rbt/actions/actions.rb'

  # ========================================================================= #
  # === RBT::Actions::MetaActions.install_beyond_linux_from_scratch
  #
  # Install all programs listed in the BLFS webpage.
  #
  # Note that as of February 2024, this is very incomplete - many more
  # programs have to be added.
  # ========================================================================= #
  def self.install_beyond_linux_from_scratch
    # ======================================================================= #
    # Build up an array of programs to be installed next:
    # ======================================================================= #
    array_install_these_programs_related_to_security = %w(
      makeca
      CrackLib
      cryptsetup
      cyrussasl
      GnuPG
      GnuTLS
      GPGME
      iptables
      libcap
      LinuxPAM
      liboauth
      libpwquality
      Kerberos
      Nettle
      NSS
      OpenSSH
      p11kit
      Polkit
      polkitgnome
      Shadow
      sshaskpass
      stunnel
      Sudo
      Tripwire
    )
    array_install_these_programs_related_to_file_systems_and_disk_management = %w(
      btrfsprogs
      dosfstools
      Fuse
      jfsutils
      LVM2
      mdadm
      ntfs3g
      gptfdisk
      parted
      smartmontools
      sshfs
      xfsprogs
    )
    [
      array_install_these_programs_related_to_security,
      array_install_these_programs_related_to_file_systems_and_disk_management
    ].flatten.each {|this_program|
      acompile(this_program.downcase) # This is "action compile".
    }
  end; self.instance_eval { alias blfs install_beyond_linux_from_scratch } # === RBT::Actions::MetaActions.blfs

end; end; end

if __FILE__ == $PROGRAM_NAME
  RBT::Actions::MetaActions.install_beyond_linux_from_scratch  
end