#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === RBT::Linux::Fedora
# =========================================================================== #
require 'rbt/base/base.rb'

module RBT

module Linux

class Fedora < ::RBT::Base

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(
      run_already = true
    )
    super()
    reset
    run if run_already
  end

  # ========================================================================= #
  # === reset
  # ========================================================================= #
  def reset
    infer_the_namespace
    # ======================================================================= #
    # === @array_compile_these_programs
    #
    # Denote the programs you wish to install on a fresh fedora-system.
    # ======================================================================= #
    @array_compile_these_programs = %w(
      sed
      make
      htop
    )
  end

  # ========================================================================= #
  # === run
  # ========================================================================= #
  def run
    esystem 'dnf install konsole'
    @array_compile_these_programs.each {|this_program|
      e
      e "Next compiling #{steelblue(this_program)}#{rev}:"
      e
      action(:Installer, this_program)
    }
  end

end; end; end

if __FILE__ == $PROGRAM_NAME
  RBT::Linux::Fedora.new
end