#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/linux/linux_from_scratch/make_conditional_symlink_for_lfs_binutils.rb'
# =========================================================================== #
module RBT

module Linux

module LinuxFromScratch # === RBT::Linux::LinuxFromScratch

  require 'rbt/toplevel_methods/e_and_esystem.rb'
  require 'rbt/toplevel_methods/determine_host_architecture.rb'
  require 'rbt/toplevel_methods/files_and_directories_related_methods.rb'

  # ========================================================================= #
  # === RBT::Linux::LinuxFromScratch.make_conditional_symlink_for_lfs_binutils
  # ========================================================================= #
  def self.make_conditional_symlink_for_lfs_binutils(
      use_this_as_tools_lib_directory = '/tools/lib/'
    )
    if RBT.is_on_64_bit?
      unless File.directory? use_this_as_tools_lib_directory
        RBT.mkdir(use_this_as_tools_lib_directory)
      end
      _ = 'ln -sv lib /tools/lib64'
      e _
      system _
    else
      e 'Not a 64-bit computer - thus, no symlink will be created.'
    end
  end

end; end; end

if __FILE__ == $PROGRAM_NAME
  RBT::Linux::LinuxFromScratch.make_conditional_symlink_for_lfs_binutils
end # rubylfs