#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === RBT::ProblemsAndErrors
#
# This class can detect problems and errors, suggest ways how to
# resolve them, and autofix some problems indirectly (by
# delegation).
#
# This is currently unfinished - we first need to get a good overview
# over all the possible errors. Once we have these, we can write
# the code to handle these problems and errors.
#
# Usage example:
#
#   RBT::ProblemsAndErrors.new(ARGV)
#
# =========================================================================== #
# require 'rbt/problems_and_errors/problems_and_errors.rb'
# =========================================================================== #
require 'rbt/base/base.rb'

module RBT

class ProblemsAndErrors < Base # === RBT::ProblemsAndErrors

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(
      commandline_arguments = nil,
      run_already           = true
    )
    reset
    set_commandline_arguments(
      commandline_arguments
    )
    run if run_already
  end

  # ========================================================================= #
  # === reset                                                     (reset tag)
  # ========================================================================= #
  def reset
    super()
  end

  # ========================================================================= #
  # === run                                                         (run tag)
  # ========================================================================= #
  def run
  end

  # ========================================================================= #
  # === RBT::ProblemsAndErrors[]
  # ========================================================================= #
  def self.[](i = ARGV)
    new(i)
  end

end; end

if __FILE__ == $PROGRAM_NAME
  RBT::ProblemsAndErrors.new(ARGV)
end # problemsanderrors