#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# This file will pull in all validation scripts.
# =========================================================================== #
# require 'rbt/requires/require_the_validation_scripts.rb'
# =========================================================================== #
module RBT

  require 'rbt/constants/constants.rb'

  # ========================================================================= #
  # === RBT.require_the_validation_scripts
  #
  # use this method to require the validation scripts. They are
  # not automatically required, though, because they are not
  # typically needed by the end user.
  # ========================================================================= #
  def self.require_the_validation_scripts
    Dir["#{RBT.validation_directory}*.rb"].uniq.each {|file|
      require "rbt/checks_and_validations/#{File.basename(file)}"
    }
  end

end