#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/sinatra/action_available_programs.rb'
# =========================================================================== #
module RBT

class Sinatra < ::Sinatra::Base

  require 'rbt/toplevel_methods/available_programs.rb'

  begin
    require 'cyberweb/html_template/html_template.rb'
  rescue LoadError; end

  # ========================================================================= #
  # === /available_programs
  #
  # This method will show the available programs.
  #
  # Usage examples:
  #
  #   http://localhost:5580/available_programs
  #
  # ========================================================================= #
  get(
    %w(
      /available_programs
      /available_programs/
      /available_programs?
    )
  ){
    result = '<p>'.dup
    use_these_params = params[:splat]
    if params.has_key?('user_input')
      use_these_params = params.fetch('user_input')
    end
    if use_these_params.is_a? Array
      use_these_params = use_these_params.join(' ').strip
    end
    ::RBT.available_programs?.each_with_index {|this_program, index| index += 1
      result << "<b class=\"darkblue\">#{index.to_s.rjust(3)}</b>) #{this_program}<br>\n"
    }
    result << '</p>'
    Cyberweb::HtmlTemplate.new {{
      title: 'Available Programs',
      css_class: 'darkblue',
      body: result
    }}.to_s
  }

end; end