#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/sinatra/action_create.rb'
# =========================================================================== #
module RBT

class Sinatra < ::Sinatra::Base

  # ========================================================================= #
  # === /create
  #
  # Use this entry-point to create a new AppDir.
  #
  # http://localhost:5580/create
  # ========================================================================= #
  get('/create') {
    route_to_this_action = '/create/'
    body = div(css_style: 'padding: 0.2em') {
      h1('<b>Create an AppDir Program:</b>')+
      p(
        'This will create an AppDir layout for the given program.',
        css_style: 'padding:0.55em; margin: 1px;'
      )+
      '<form id="create" style="margin-left:2em; margin-top:2px" action="'+route_to_this_action+'">
      <input type="text" name="user_input" style="border:3px solid slateblue; padding: 4px"><br>
      <input type="submit" name="user_input_submit" value="Display" style="2px dotted royalblue; '\
      'color: white; background-color: olive; font-size: 1.50em; margin:2px; padding: 4px">
      </form>'+
      return_to_root_link
    }
    Cyberweb::HtmlTemplate[
      title: 'Create an AppDir',
      body:  body
    ].to_s
  }

  # ========================================================================= #
  # === /create                                                  (create tag)
  #
  # This method will create an AppDir.
  #
  # Usage examples:
  #
  #   http://localhost:5580/create/foobar-1.2.3
  #   http://localhost:5580/create/ruby
  #   http://localhost:5580/create/?user_input=ruby&user_input_submit=Display
  #
  # ========================================================================= #
  get('/create/*'){
    use_these_params = params[:splat]
    if params.has_key?('user_input')
      use_these_params = params.fetch('user_input')
    end
    if use_these_params.is_a? Array
      use_these_params = use_these_params.join(' ').strip
    end
    if use_these_params.empty?
      result << p(
        'Please supply a program name.'
      )
    else
      result = ''.dup
      result << 'Creating the program <b>'+use_these_params.to_s+'</b> next.<br>'
      require 'rbt/create_app_dir_skeleton/create_app_dir_skeleton.rb'
      RBT.create_appdir_skeleton(use_these_params)
    end
    result
  }

end; end