#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/toplevel_methods/compile_via_appdir_prefix_without_symlinking.rb'
# =========================================================================== #
module RBT

  # ========================================================================= #
  # === RBT.compile_via_appdir_prefix_without_symlinking
  #
  # This method will compile via a versioned AppDir approach, but
  # will not symlink after compilation has finished.
  # ========================================================================= #
  def self.compile_via_appdir_prefix_without_symlinking(i = ARGV)
    require 'rbt/requires/require_actions.rb'
    i = [i].flatten.compact
    i.each {|this_program|
      _ = actions(:Installer, this_program) {{
        run_already: :do_not_run_yet,
        symlink_after_compilation_has_finished: false
      }}
      _.do_use_an_appdir_prefix
      _.run
    }
  end

end

if __FILE__ == $PROGRAM_NAME
  RBT.compile_via_appdir_prefix_without_symlinking(ARGV)
end # ntraddontsymlink evince