#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/toplevel_methods/determine_appdir_prefix_from_this_input_by_guessing_the_program_version.rb'
# RBT.determine_appdir_prefix_from_this_input
# =========================================================================== #
module RBT

  # ========================================================================= #
  # === RBT.determine_appdir_prefix_from_this_input_by_guessing_the_program_version
  #
  # This method is similar to the method defined in
  # return_version_of_this_program.rb, but rather than using
  # 'Current/' we will assume from the most current
  # version in use of the program at hand (the first argument
  # to this method).
  # ========================================================================= #
  def self.determine_appdir_prefix_from_this_input_by_guessing_the_program_version(
      this_program
    )
    require 'rbt/toplevel_methods/return_version_of_this_program.rb'
    require 'rbt/toplevel_methods/determine_appdir_prefix_from_this_input.rb'
    use_this_version = RBT.return_version_of_this_program(this_program)
    return RBT.determine_appdir_prefix_from_this_input(this_program, use_this_version)
  end

end

if __FILE__ == $PROGRAM_NAME
  puts RBT.determine_appdir_prefix_from_this_input('htop')
end # rb determine_appdir_prefix_from_this_input_by*rb