#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/toplevel_methods/dual_compile.rb'
# RBT.dual_compile(ARGV)
# =========================================================================== #
module RBT

  # ========================================================================= #
  # === RBT.dual_compile
  #
  # This method will first compile a program in the traditional manner,
  # via the prefix /usr, before it will compile the same program
  # again via its AppDir prefix.
  # ========================================================================= #
  def self.dual_compile(
      this_program = ARGV
    )
    [this_program].flatten.compact.each {|entry|
      action(:Installer, entry) {{ use_this_prefix: :trad   }} # (1) First  compilation run.
      action(:Installer, entry) {{ use_this_prefix: :appdir }} # (2) Second compilation run.
    }
  end

end

if __FILE__ == $PROGRAM_NAME
  RBT.dual_compile(ARGV)
end # dualcompile