#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/toplevel_methods/no_trad_no_symlink.rb'
# =========================================================================== #
module RBT

  # ========================================================================= #
  # === RBT.no_trad_no_symlink
  #
  # This method combines the two configure options "--no-trad" and
  # "--no-symlink" into RBT::Action::Installer.new.
  # ========================================================================= #
  def self.no_trad_no_symlink(
      these_programs = ARGV
    )
    require 'rbt/requires/require_actions.rb'
    # ======================================================================= #
    # Make sure that RBT::Action::Installer is available next:
    # ======================================================================= #
    [these_programs].flatten.compact.each {|this_program|
      _ = action(:Installer, 
        [
          this_program,'--no-trad','--no-symlink'
        ]
      )
    }
  end

end

if __FILE__ == $PROGRAM_NAME
  RBT.no_trad_no_symlink(ARGV)
end # notradnosymlink python