#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/toplevel_methods/patch.rb'
# =========================================================================== #
module RBT

  require 'rbt/toplevel_methods/e_and_esystem.rb'

  # ========================================================================= #
  # === RBT.patch
  #
  # This will simply make use of the Linux patch command (and wget too).
  # ========================================================================= #
  def self.patch(i)
    if i.is_a? Array
      i.each {|entry| patch(entry) }
    else
      _ = File.basename(i)
      unless File.exist? _
        esystem "wget #{i}"
      end
      esystem "patch -Np1 -i #{_}"
    end
  end

end

if __FILE__ == $PROGRAM_NAME
  RBT.patch(ARGV)  
end # rubypatch http://www.linuxfromscratch.org/patches/blfs/svn/qt-5.13.0-upstream_fixes-1.patch