#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/toplevel_methods/return_version_of_this_program.rb'
# RBT.return_version_of_this_program(:php')
# =========================================================================== #
module RBT

  require 'rbt/toplevel_methods/does_include.rb'

  # ========================================================================= #
  # === RBT.return_version_of_this_program
  #
  # Usage example:
  #
  #   RBT.return_version_of_this_program 'htop'
  #
  # ========================================================================= #
  def self.return_version_of_this_program(i = 'htop')
    if i.is_a? Array
      i = i.first
    end
    i = i.to_s # We have to work on Strings.
    if RBT.does_include? i
      dataset = action(:SanitizeCookbook, i) { :fast }
      return dataset.program_version?
    else
      nil
    end
  end; self.instance_eval { alias return_version_of         return_version_of_this_program } # === Cookbooks.return_version_of
       self.instance_eval { alias return_program_version_of return_version_of_this_program } # === Cookbooks.return_program_version_of
       self.instance_eval { alias program_version           return_version_of_this_program } # === Cookbooks.program_version

end

if __FILE__ == $PROGRAM_NAME
  alias e puts
  e RBT.return_version_of_this_program(ARGV)
end # rbtreturnversionofthisprogram hop
    # rbtreturnversionofthisprogram htop
    # rbtreturnversionofthisprogram ruby
    # rbtreturnversionofthisprogram rub