#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# The purpose of this file here is to simply report which tags are
# available for the individual cookbooks.
# =========================================================================== #
# require 'rbt/toplevel_methods/show_available_tags.rb'
# =========================================================================== #
module RBT

  require 'rbt/constants/constants.rb'
  require 'rbt/toplevel_methods/opn.rb'
  require 'rbt/toplevel_methods/e_and_esystem.rb'

  # ========================================================================= #
  # === RBT.show_available_tags
  # ========================================================================= #
  def self.show_available_tags(
      use_this_path  = :default,
      show_namespace = true
    )
    require 'rbt/colours/rev_simp_sdir_sfancy_sfile_and_swarn.rb'
    require 'rbt/colours/html_colours.rb'
    case use_this_path
    # ======================================================================= #
    # === :default
    # ======================================================================= #
    when :default
      use_this_path = RBT.file_allowed_tags # Refer to the file allowed_tags.yml.
    end
    case show_namespace
    # ======================================================================= #
    # === :do_not_report_the_namespace
    # ======================================================================= #
    when :do_not_report_the_namespace,
         :be_quiet
      show_namespace = false
    end
    opn if show_namespace
    e 'The following tags are registered (and thus available - '\
      'sorted alphabetically):'
    e
    if File.exist? use_this_path
      array = YAML.load_file(use_this_path)
      array.each_with_index {|entry, index| index += 1
        e "  #{steelblue(index.to_s.rjust(3))}#{steelblue(')')} "\
          "#{olivedrab(entry)}"
      }
    end
    e
  end

end

if __FILE__ == $PROGRAM_NAME
  RBT.show_available_tags  
end # showavailabletags