This file contains a short tutorial for the RBT suite. It "should" be read for
chunks of not more than 20 lines, then you have to press any key (that is,
you can really hit any key, the enter-key, or any other key on the keyboard;
it is just supposed to make it easier for you to read the content here).

You may want to adapt the RBT project to your own particular use case.

The rbt project needs to allow for this and thus be flexible.

One of the first actions that you may wish to do is to set up a new base directory
where you can keep all your source archives. This will be the directory into which
remote source files should be downloaded into. For instance, on my home system
this defaults to the following directory:

    /home/x/src/

First, query the current value:

    rbt --base_directory?

Now, if you wish to designate a new directory for use here, there are two ways
to do this.

The first one is to simply modify the file called source_directory.yml.

This file should normally reside in this subdirectory of the RBT
project here:

    yaml/configuration/source_directory.yml

If you wish to query the absolute path to this directory from the
commandline, do either of the following:

    rbt --path_to_source_directory?
    rbt --path_to_source_directory
    rbt --path?

The first one is the most explicit (and longest) and the preferred 
way; the last one is just an alias, or more generally one to all
useful paths, as far as the Cookbooks project is concerned.

The other way, probably much simpler than that, is to designate a
new path to be used here, via the commandline.

To do this permanently, at the least for the current installation
of the RBT gem, let's use the directory /Depot/Files to show how
this is done, do issue the following command:

    rbt --path_to_source_directory=/Depot/Files

Slight shortcuts exist for this:

    rbt --source_directory=/Depot/Files

The RBT suite will now use the directory /Depot/Files/ as the
main src dir (source directory) in use.

Now you may be ready for more!

The format is simple:

- Any given program, such as for php, will have a directory inside
of /Depot/Files/, called php/.

You can cd into that directory. In that directory, you can put your
php archive tarball.

[TO BE CONTINUED AT A LATER TIME.]
