#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === RBT::CompileIntoHomeDirWithoutSymlinking
#
# This will compile the given input at hand into the home dir of
# the user.
#
# Usage example:
#
#   RBT::CompileIntoHomeDirWithoutSymlinking.new(ARGV)
#
# =========================================================================== #
# require 'rbt/utility_scripts/compile_into_home_dir_without_symlinking.rb'
# =========================================================================== #
require 'rbt/base/base.rb'

module RBT

class CompileIntoHomeDirWithoutSymlinking < Base # === RBT::CompileIntoHomeDirWithoutSymlinking.new

  require 'rbt/utility_scripts/compile_into_home_dir.rb'

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(
      i           = ARGV,
      run_already = true
    )
    reset
    set_compile_these_programs(
      i
    )
    run if run_already
  end

  # ========================================================================= #
  # === reset                                                     (reset tag)
  # ========================================================================= #
  def reset
    super()
    infer_the_namespace
  end

  # ========================================================================= #
  # === set_compile_these_programs
  # ========================================================================= #
  def set_compile_these_programs(i)
    @compile_these_programs = [i].flatten.compact
  end

  # ========================================================================= #
  # === compile_which_programs?
  # ========================================================================= #
  def compile_which_programs?
    @compile_these_programs
  end; alias input? compile_which_programs? # === input?

  # ========================================================================= #
  # === run                                                         (run tag)
  # ========================================================================= #
  def run
    # ======================================================================= #
    # Instantiate our compile-object next:
    # ======================================================================= #
    CompileIntoHomeDir.new(compile_which_programs?) { :without_symlinking }
  end

  # ========================================================================= #
  # === RBT::CompileIntoHomeDirWithoutSymlinking[]
  # ========================================================================= #
  def self.[](i = '')
    new(i)
  end

end; end

if __FILE__ == $PROGRAM_NAME
  RBT::CompileIntoHomeDirWithoutSymlinking.new(ARGV)
end # compilehomenosymlink sed