#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/utility_scripts/report_the_kde_status.rb'
# RBT.report_the_kde_status
# =========================================================================== #
module RBT

  require 'rbt/toplevel_methods/e_and_esystem.rb'
  require 'rbt/constants/remote_URLs.rb'
  require 'rbt/colours/rev_simp_sdir_sfancy_sfile_and_swarn.rb'

  # ========================================================================= #
  # === RBT.report_the_kde_status
  # ========================================================================= #
  def self.report_the_kde_status
    require 'rbt/colours/html_colours.rb'
    n_rjust = 7
    kde_frameworks_version = File.basename(
      REMOTE_URL_FOR_KDE_FRAMEWORKS
    ).rjust(n_rjust)
    kde_applications_version = File.basename(
      REMOTE_URL_FOR_KDE_APPLICATIONS.sub(/src\/$/,'')
    ).rjust(n_rjust)
    kde_plasma_version = File.basename(
      REMOTE_URL_FOR_KDE_PLASMA
    ).sub(/\.php$/,'').sub(/^plasma-/,'').
    rjust(n_rjust)
    e
    e "  #{rev}#{mediumslateblue('KDE Frameworks version:')}   "+
      "#{cyan(kde_frameworks_version)}"
    e '  '+mediumslateblue('KDE Applications version: ')+
      cyan(kde_applications_version)
    e '  '+mediumslateblue('KDE Plasma version:       ')+
      cyan(kde_plasma_version)
    e
  end

end

if __FILE__ == $PROGRAM_NAME
  RBT.report_the_kde_status
end # reportthekdestatus